%define major 		0
%define apiver 		1.2
%define libname 	%mklibname %{name} %{apiver} %{major}
%define develname 	%mklibname %{name} -d

%define gitdate		20240423
%define commit		7adb1a70f97d62f1bb307bfb4e6c2fa0bc8c33ab

Summary:	Simple DirectMedia Layer - image
Name:		SDL_image
Version:	1.2.13
Release:	%mkrel -c git%{gitdate} 2
License:	zlib
Group:		System/Libraries
URL:		https://www.libsdl.org/projects/SDL_image/index.html
#Source0:	https://www.libsdl.org/projects/SDL_image/release/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/libsdl-org/SDL_image/archive/%{commit}/%{name}-%{version}-git%{gitdate}.tar.gz
Patch2:		CVE-2017-12122-2.patch
Patch4:		CVE-2017-14441.patch

BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(sdl) >= 1.2.10

%description
This is a simple library to load images of various formats as SDL surfaces.
This library currently supports BMP, PPM, PCX, GIF, JPEG, and PNG formats.

This package contains the binary `sdlshow' to test the library.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	libSDL-devel
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{major}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{libname}-test
Summary:	Test binary for %{name}
Group:		System/Libraries

%description -n %{libname}-test
This package contains binary to test the associated library.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
# to recognize aarch64
autoreconf -vfi

# (anssi) --disable-x-shared disable dlopening, so that we link to them
# dynamically instead, and thus get correct autorequires
%configure \
		--disable-static \
		--enable-bmp \
		--enable-gif \
		--enable-jpg \
		--enable-pcx \
		--enable-png \
		--enable-ppm \
		--enable-tif \
		--enable-xpm \
		--disable-jpg-shared \
		--disable-png-shared \
		--disable-tif-shared

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

install -d %{buildroot}%{_bindir}
install -m755 .libs/showimage %{buildroot}%{_bindir}/sdlshow

%files -n %{libname}-test
%{_bindir}/sdlshow

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%doc README CHANGES
%{_libdir}/lib*.so
%{_includedir}/SDL/*
%{_libdir}/pkgconfig/SDL_image.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.2.13-0.git20240423.2.mga10
+ Revision: 2228132
- Mageia 10 Mass Rebuild

* Tue Sep 24 2024 daviddavid <daviddavid> 1.2.13-0.git20240423.1.mga10
+ Revision: 2100812
- new version: 1.2.13 (git snapshot from 20240423)

* Tue Sep 24 2024 daviddavid <daviddavid> 1.2.12-17.mga10
+ Revision: 2100774
- add fedora patch to fix build with GCC 14

* Mon Dec 12 2022 ns80 <ns80> 1.2.12-16.mga9
+ Revision: 1921140
- rebuild for new libtiff

* Fri Apr 01 2022 umeabot <umeabot> 1.2.12-15.mga9
+ Revision: 1839178
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 1.2.12-14.mga8
+ Revision: 1538801
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Nov 27 2019 ns80 <ns80> 1.2.12-13.mga8
+ Revision: 1463085
- add patches from Debian for CVE-2018-3977, CVE-2019-505[289], CVE-2019-5060, CVE-2019-7635, CVE-2019-1221[7-9], , CVE-2019-1222[0-2], CVE-2019-13616 (mga#25766)

* Sun Sep 23 2018 umeabot <umeabot> 1.2.12-12.mga7
+ Revision: 1300980
- Mageia 7 Mass Rebuild

* Tue May 22 2018 shlomif <shlomif> 1.2.12-11.mga7
+ Revision: 1231482
- Fix MGA#22967 with patches from Debian - thanks!

* Wed Mar 14 2018 akien <akien> 1.2.12-10.mga7
+ Revision: 1209262
- Add openSUSE patch for CVE-2017-2887 (mga#22650)

* Thu Feb 04 2016 umeabot <umeabot> 1.2.12-9.mga6
+ Revision: 934411
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.12-8.mga5
+ Revision: 745101
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.12-7.mga5
+ Revision: 687140
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.2.12-6.mga5
+ Revision: 677654
- Mageia 5 Mass Rebuild
+ akien <akien>
- As of version 1.2.11, the license is zlib: http://www.libsdl.org/projects/SDL_image/

* Sat Oct 19 2013 umeabot <umeabot> 1.2.12-4.mga4
+ Revision: 525817
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 1.2.12-3.mga4
+ Revision: 434621
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 1.2.12-2.mga3
+ Revision: 345104
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 luigiwalser <luigiwalser> 1.2.12-1.mga2
+ Revision: 210606
- remove patch 0
- 1.2.12

* Wed Jan 18 2012 alien <alien> 1.2.11-2.mga2
+ Revision: 197994
- fix 8bit png images (fixes bug #4175)

* Mon Jan 16 2012 fwang <fwang> 1.2.11-1.mga2
+ Revision: 196849
- new version 1.2.11

* Thu Dec 22 2011 fwang <fwang> 1.2.10-5.mga2
+ Revision: 186092
- rebuild for new libtiff

* Sun Sep 11 2011 fwang <fwang> 1.2.10-4.mga2
+ Revision: 142278
- fix build with libpng15
- rebuild for new libpng

* Sat Apr 30 2011 sander85 <sander85> 1.2.10-3.mga1
+ Revision: 93764
- bump release for upgrading from mdv2010.{1,2}

* Sat Jan 15 2011 supp <supp> 1.2.10-1.mga1
+ Revision: 19073
- imported package SDL_image


* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-2mdv2010.1
+ Revision: 488741
- rebuilt against libjpeg v8

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 1.2.10

* Sat Nov 07 2009 Anssi Hannula <anssi@mandriva.org> 1.2.7-5mdv2010.1
+ Revision: 462310
- remove dependency hacks added by Funda Wang and just disable dlopening,
  using direct linking instead

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 1.2.7-4mdv2010.1
+ Revision: 461722
- rebuild for new libtiff

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 1.2.7-3mdv2010.1
+ Revision: 460568
- hard requires shared libs

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.7-2mdv2010.0
+ Revision: 413009
- rebuild

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 1.2.7-1mdv2009.1
+ Revision: 308496
- New version 1.2.7
  security patches merged upstream

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.2.6-6mdv2009.0
+ Revision: 265683
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Feb 05 2008 Frederik Himpe <fhimpe@mandriva.org> 1.2.6-5mdv2008.1
+ Revision: 162830
- Add 2 patches from Fedora fixing CVE-2007-6697 and CVE-2008-0544

  + Funda Wang <fwang@mandriva.org>
    - Revert previous change ( it should be fixed on downstream packages)
    - libpackage should provide package name

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - obsolete old test subpackage

* Sun Jan 13 2008 Anssi Hannula <anssi@mandriva.org> 1.2.6-3mdv2008.1
+ Revision: 151076
- obsolete old library name
- provide %%name-devel
- versionize obsoletes
- do not provide old -devel name

* Sun Jan 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.6-2mdv2008.1
+ Revision: 150945
- new license policy
- new devel library policy
- drop not needed buildrequire on esound-devel (?)
- spec file clean
- correct libification

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Thu Jul 26 2007 Funda Wang <fwang@mandriva.org> 1.2.6-1mdv2008.0
+ Revision: 55750
- New version 1.2.6

* Wed Jun 06 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.2.5-4mdv2008.0
+ Revision: 36086
- Rebuild with libslang2.

* Sat May 26 2007 Funda Wang <fwang@mandriva.org> 1.2.5-3mdv2008.0
+ Revision: 31378
- Build against directfb 1.0


* Sat Feb 24 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.2.5-2mdv2007.0
+ Revision: 125366
- Rebuilt against latest libggi|libgii.
- Import SDL_image

* Sun Jun 25 2006 Götz Waschk <waschk@mandriva.org> 1.2.5-1mdv2007.0
- bump deps
- new version

* Thu Jun 22 2006 Götz Waschk <waschk@mandriva.org> 1.2.4-4mdk
- Rebuild
- use mkrel

* Tue May 16 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.4-3mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.2.4-2mdk
- Rebuild

* Wed Mar 23 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.4-1mdk
- Release: 1.2.4.

* Wed Mar 23 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.3-4mdk
- Rebuilt.

